### Function

# Malcontent WebFilter validate_filter_id

since: 0.14.0

#### Declaration [src]

    gboolean
    mct_web_filter_validate_filter_id (
      const char* id
    )

#### Description [src]

Validate a potential filter list ID.

Filter list IDs must be non-empty UTF-8 strings.

Available since: 0.14.0

#### Parameters

`id`

  Type: `const char*`

  A potential filter list ID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

True if `id` is a valid filter list ID, false otherwise.